> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clustr-ai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Connector Refresh Schedule

> When the connectors in a slot are re-ingested, and whether it is enabled

Read when the connector-refresh automation re-ingests the connectors kept in a
[slot](/api-reference/set-connector-slot), and whether it is on. `last_run_at` is the last time
it fired, absent if it never has.

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.clustr-ai.com/api/public/connector-refresh/schedule \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```python Python theme={null}
  import requests

  requests.get(
      "https://api.clustr-ai.com/api/public/connector-refresh/schedule",
      headers={"Authorization": "Bearer YOUR_API_KEY"},
  )
  ```

  ```javascript JavaScript theme={null}
  await fetch("https://api.clustr-ai.com/api/public/connector-refresh/schedule", {
    headers: { Authorization: "Bearer YOUR_API_KEY" },
  });
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "data": {
      "feature_key": "connector_refresh",
      "enabled": true,
      "schedule": {
        "cadence": "weekly",
        "day_of_week": 1,
        "day_of_month": 1,
        "hour": 6,
        "minute": 0,
        "timezone": "Europe/Paris"
      },
      "last_run_at": "2026-09-14T04:00:02Z"
    }
  }
  ```
</ResponseExample>
